package cumulative;

import tr.Triangle;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class TriangleCumulativeTs_junit {

	@Test
	public void testBranchAdeqTs1_1() {

		int a = 5;
		int b = 5;
		int c = 5;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_2() {

		int a = 5;
		int b = 5;
		int c = 4;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_3() {

		int a = 4;
		int b = 5;
		int c = 5;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_4() {

		int a = 5;
		int b = 4;
		int c = 5;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_5() {

		int a = 5;
		int b = 5;
		int c = 11;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_6() {

		int a = 11;
		int b = 5;
		int c = 5;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_7() {

		int a = 5;
		int b = 11;
		int c = 5;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_8() {

		int a = 5;
		int b = 6;
		int c = 7;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_9() {

		int a = 5;
		int b = 6;
		int c = 12;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_10() {

		int a = 14;
		int b = 6;
		int c = 7;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_11() {

		int a = 5;
		int b = 13;
		int c = 7;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_12() {

		int a = 0;
		int b = 13;
		int c = 7;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs1_13() {

		int a = 5;
		int b = 0;
		int c = 7;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_1() {

		int a = 7;
		int b = 7;
		int c = 7;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_2() {

		int a = 6;
		int b = 6;
		int c = 4;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_3() {

		int a = 5;
		int b = 6;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_4() {

		int a = 7;
		int b = 5;
		int c = 7;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_5() {

		int a = 7;
		int b = 7;
		int c = 15;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_6() {

		int a = 15;
		int b = 6;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_7() {

		int a = 6;
		int b = 14;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_8() {

		int a = 6;
		int b = 7;
		int c = 8;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_9() {

		int a = 6;
		int b = 7;
		int c = 14;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_10() {

		int a = 16;
		int b = 7;
		int c = 8;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_11() {

		int a = 6;
		int b = 15;
		int c = 8;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_12() {

		int a = -1;
		int b = 10;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_13() {

		int a = 8;
		int b = -2;
		int c = 8;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs2_14() {

		int a = 7;
		int b = 7;
		int c = -1;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_1() {

		int a = 4;
		int b = 4;
		int c = 4;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_2() {

		int a = 7;
		int b = 7;
		int c = 4;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_3() {

		int a = 4;
		int b = 7;
		int c = 7;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_4() {

		int a = 9;
		int b = 4;
		int c = 9;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_5() {

		int a = 4;
		int b = 4;
		int c = 9;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_6() {

		int a = 9;
		int b = 3;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_7() {

		int a = 5;
		int b = 13;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_8() {

		int a = 7;
		int b = 8;
		int c = 9;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_9() {

		int a = 7;
		int b = 8;
		int c = 16;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_10() {

		int a = 15;
		int b = 6;
		int c = 8;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_11() {

		int a = 5;
		int b = 17;
		int c = 9;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_12() {

		int a = -80;
		int b = 5;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_13() {

		int a = 18;
		int b = 0;
		int c = -80;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs3_14() {

		int a = 7;
		int b = 7;
		int c = -10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_1() {

		int a = 13;
		int b = 13;
		int c = 13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_2() {

		int a = 13;
		int b = 13;
		int c = 4;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_3() {

		int a = 4;
		int b = 13;
		int c = 13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_4() {

		int a = 13;
		int b = 4;
		int c = 13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_5() {

		int a = 6;
		int b = 6;
		int c = 13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_6() {

		int a = 13;
		int b = 6;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_7() {

		int a = 6;
		int b = 13;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_8() {

		int a = 11;
		int b = 12;
		int c = 13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_9() {

		int a = 11;
		int b = 12;
		int c = 31;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_10() {

		int a = 31;
		int b = 11;
		int c = 12;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_11() {

		int a = 11;
		int b = 31;
		int c = 12;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_12() {

		int a = -3;
		int b = 5;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_13() {

		int a = 1;
		int b = 0;
		int c = -3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs4_14() {

		int a = 1;
		int b = 1;
		int c = -13;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_1() {

		int a = 20;
		int b = 20;
		int c = 20;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_2() {

		int a = 20;
		int b = 20;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_3() {

		int a = 10;
		int b = 20;
		int c = 20;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_4() {

		int a = 20;
		int b = 10;
		int c = 20;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_5() {

		int a = 10;
		int b = 10;
		int c = 20;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_6() {

		int a = 20;
		int b = 10;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_7() {

		int a = 10;
		int b = 20;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_8() {

		int a = 10;
		int b = 11;
		int c = 12;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_9() {

		int a = 10;
		int b = 11;
		int c = 22;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_10() {

		int a = 22;
		int b = 10;
		int c = 11;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_11() {

		int a = 10;
		int b = 22;
		int c = 11;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_12() {

		int a = -13;
		int b = 10;
		int c = 20;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testBranchAdeqTs5_13() {

		int a = 15;
		int b = -20;
		int c = 6;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMajor_adeqTs_4() {
		assertEquals(tr.Triangle.classify(1, 1, 0), tr.Triangle.INVALID);
	}

	// @Test
	// public void test7() {
	// assertEquals(tr.Triangle.classify(1, 2, 450), tr.Triangle.INVALID);
	// }

	// @Test
	// public void test8() {
	// assertEquals(tr.Triangle.classify(1663, 1088, 823), tr.Triangle.SCALENE);
	// }

	// @Test
	// public void test9() {
	// assertEquals(tr.Triangle.classify(1187, 1146, 1), tr.Triangle.INVALID);
	// }

	@Test
	public void testMajor_adeqTs_10() {
		assertEquals(tr.Triangle.classify(1640, 1640, 1956), tr.Triangle.ISOSCELES);
	}

	@Test
	public void testMajor_adeqTs_11() {
		assertEquals(tr.Triangle.classify(784, 784, 1956), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_13() {
		assertEquals(tr.Triangle.classify(1146, 1, 1146), tr.Triangle.ISOSCELES);
	}

	@Test
	public void testMajor_adeqTs_14() {
		assertEquals(tr.Triangle.classify(1640, 1956, 1956), tr.Triangle.ISOSCELES);
	}

	@Test
	public void testMajor_adeqTs_15() {
		assertEquals(tr.Triangle.classify(-1, 1, 1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_16() {
		assertEquals(tr.Triangle.classify(1, -1, 1), tr.Triangle.INVALID);
	}

	@Test
	// invalid
	public void testMajor_adeqTs_18() {
		assertEquals(tr.Triangle.classify(2, 3, 1), tr.Triangle.SCALENE);
	}

	@Test
	public void testMajor_adeqTs_20() {
		assertEquals(tr.Triangle.classify(1, 1, 2), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_21() {
		assertEquals(tr.Triangle.classify(1, 2, 1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_22() {
		assertEquals(tr.Triangle.classify(2, 1, 1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_23() {
		assertEquals(tr.Triangle.classify(1, 1, 1), tr.Triangle.EQUILATERAL);
	}

	@Test
	public void testMajor_adeqTs_24() {
		assertEquals(tr.Triangle.classify(0, 1, 1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_25() {
		assertEquals(tr.Triangle.classify(1, 0, 1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_27() {
		assertEquals(tr.Triangle.classify(1, 1, -1), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_28() {
		assertEquals(tr.Triangle.classify(0, 0, 0), tr.Triangle.INVALID);
	}

	@Test
	// invalid
	public void testMajor_adeqTs_29() {
		assertEquals(tr.Triangle.classify(3, 2, 5), tr.Triangle.SCALENE);
	}

	@Test
	public void testMajor_adeqTs_30() {
		assertEquals(tr.Triangle.classify(5, 9, 2), tr.Triangle.INVALID);
	}

	@Test
	// invalid
	public void testMajor_adeqTs_31() {
		assertEquals(tr.Triangle.classify(7, 4, 3), tr.Triangle.SCALENE);
	}

	@Test
	public void testMajor_adeqTs_32() {
		assertEquals(tr.Triangle.classify(3, 8, 3), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_33() {
		assertEquals(tr.Triangle.classify(7, 3, 3), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_34() {
		assertEquals(tr.Triangle.classify(2, 5, 8), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_35() {
		assertEquals(tr.Triangle.classify(8, 5, 2), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_36() {
		assertEquals(tr.Triangle.classify(2145475094, 83583689, 2063173122), tr.Triangle.INVALID);
	}

	@Test
	public void testMajor_adeqTs_37() {
		assertEquals(tr.Triangle.classify(752329242, 1325650525, 1591964651), tr.Triangle.INVALID);
	}

	@Test
	public void testMujava3_CorrectScalino_3() {
		int a = 1;
		int b = 2;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_Invalid_2() {

		int a = 1;
		int b = 4;
		int c = 1;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_CorrectIsosceles_3() {

		int a = 1;
		int b = 2;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_Invalid_3() {

		int a = 4;
		int b = 1;
		int c = 1;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectScalino_7() {

		int a = 3;
		int b = 1;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsopleuro_1() {

		int a = 2;
		int b = 2;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsosceles_4() {

		int a = 3;
		int b = 3;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_1() {

		int a = 3;
		int b = 3;
		int c = 7;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_2() {

		int a = 5;
		int b = 5;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_3() {

		int a = 5;
		int b = 10;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsosceles_6() {

		int a = 3;
		int b = 5;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_7() {

		int a = 10;
		int b = 5;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_CorrectIsosceles_8() {

		int a = 5;
		int b = 3;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__2() {

		int a = 0;
		int b = -10000;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__3() {

		int a = -10000;
		int b = -10000;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__17() {

		int a = 1;
		int b = 1;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__18() {

		int a = 1;
		int b = 1;
		int c = 0;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__30() {

		int a = 0;
		int b = 10000;
		int c = 10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__32() {

		int a = -10000;
		int b = 10000;
		int c = 10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__64() {

		int a = 1;
		int b = -10000;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__87() {

		int a = 1;
		int b = 0;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__104() {

		int a = 2;
		int b = 4;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__106() {

		int a = 2;
		int b = 3;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__110() {

		int a = 4;
		int b = 2;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_112() {

		int a = 2;
		int b = 1;
		int c = 4;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3__114() {

		int a = 2067366427;
		int b = 88585555;
		int c = 2037875554;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_116() {

		int a = 788585555;
		int b = 2037366427;
		int c = 2037875554;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testPitAll_Classify2() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 2, 3);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify3() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 2, 2);
		int expRes = Triangle.EQUILATERAL;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify4() {
		Triangle trian = new Triangle();
		int res = trian.classify(3, 2, 1);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify5() {
		Triangle trian = new Triangle();

		int res = trian.classify(1, 2, 5);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify6() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 2, 2);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify7() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 1, 2);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify8() {
		Triangle trian = new Triangle();
		int res = trian.classify(5, 2, 5);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	// part two
	@Test
	public void testPitAll_Classify9() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 1, 0);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify10() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 0, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify13() {
		Triangle trian = new Triangle();

		int res = trian.classify(1, 2, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify14() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 1, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	// part tree
	// @Test
	// public void testClassify15(){
	// Triangle trian = new Triangle();
	// int res = trian.classify(0, 1, 0);
	// int expRes = Triangle.INVALID;
	//
	// assertTrue(res == expRes);
	// }
	//
	@Test
	public void testPitAll_Classify16() {
		Triangle trian = new Triangle();

		int res = trian.classify(1, 2, 3);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify17() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 3, 1);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify18() {
		Triangle trian = new Triangle();
		int res = trian.classify(0, 1, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	// @Test
	// public void testClassify19(){
	// Triangle trian = new Triangle();
	//
	// int res = trian.classify(-1, 1, 1);
	// int expRes = Triangle.INVALID;
	//
	// assertTrue(res == expRes);
	// }

	// part four

	@Test
	public void testPitAll_Classify20() {
		Triangle trian = new Triangle();
		int res = trian.classify(7, 17, 9);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitAll_Classify21() {
		Triangle trian = new Triangle();
		int res = trian.classify(17, 7, 9);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify2() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 2, 3);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify3() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 2, 2);
		int expRes = Triangle.EQUILATERAL;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify4() {
		Triangle trian = new Triangle();
		int res = trian.classify(3, 2, 1);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify5() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 2, 5);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify6() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 2, 2);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify7() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 1, 2);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify8() {
		Triangle trian = new Triangle();
		int res = trian.classify(5, 2, 5);
		int expRes = Triangle.ISOSCELES;

		assertTrue(res == expRes);
	}

	// part two
	@Test
	public void testPitDef_Classify9() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 1, 0);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify10() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 0, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify13() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 2, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify14() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 1, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	// part tree
	// @Test
	// public void testClassify15(){
	// Triangle trian = new Triangle();
	// int res = trian.classify(0, 1, 0);
	// int expRes = Triangle.INVALID;
	//
	// assertTrue(res == expRes);
	// }

	@Test
	public void testPitDef_Classify16() {
		Triangle trian = new Triangle();
		int res = trian.classify(1, 2, 3);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify17() {
		Triangle trian = new Triangle();
		int res = trian.classify(2, 3, 1);
		int expRes = Triangle.SCALENE;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify18() {
		Triangle trian = new Triangle();
		int res = trian.classify(0, 1, 1);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	// @Test
	// public void testClassify19(){
	// Triangle trian = new Triangle();
	// int res = trian.classify(-1, 1, 1);
	// int expRes = Triangle.INVALID;
	//
	// assertTrue(res == expRes);
	// }
	//

	@Test
	public void testPitDef_Classify21() {
		Triangle trian = new Triangle();
		int res = trian.classify(28, 6, 8);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

	@Test
	public void testPitDef_Classify20() {
		Triangle trian = new Triangle();
		int res = trian.classify(3, 416, 4);
		int expRes = Triangle.INVALID;

		assertTrue(res == expRes);
	}

}