package mutationadequatets.mujava3;

import tr.Triangle;

import static org.junit.Assert.*;
import org.junit.Test;

public class TriangleMutationAdeqTs_junit {

	@Test
	public void testMujava3_CorrectScalino_3() {
		int a = 1;
		int b = 2;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_Invalid_2() {

		int a = 1;
		int b = 4;
		int c = 1;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_CorrectIsosceles_3() {

		int a = 1;
		int b = 2;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_Invalid_3() {

		int a = 4;
		int b = 1;
		int c = 1;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectScalino_7() {

		int a = 3;
		int b = 1;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsopleuro_1() {

		int a = 2;
		int b = 2;
		int c = 2;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.EQUILATERAL;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsosceles_4() {

		int a = 3;
		int b = 3;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_1() {

		int a = 3;
		int b = 3;
		int c = 7;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_2() {

		int a = 5;
		int b = 5;
		int c = 10;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_3() {

		int a = 5;
		int b = 10;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_CorrectIsosceles_6() {

		int a = 3;
		int b = 5;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_ErrorIsosceles_7() {

		int a = 10;
		int b = 5;
		int c = 5;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

	@Test
	public void testMujava3_CorrectIsosceles_8() {

		int a = 5;
		int b = 3;
		int c = 3;

		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.ISOSCELES;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__2() {

		int a = 0;
		int b = -10000;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__3() {

		int a = -10000;
		int b = -10000;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__17() {

		int a = 1;
		int b = 1;
		int c = -10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__18() {

		int a = 1;
		int b = 1;
		int c = 0;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__30() {

		int a = 0;
		int b = 10000;
		int c = 10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__32() {

		int a = -10000;
		int b = 10000;
		int c = 10000;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__64() {

		int a = 1;
		int b = -10000;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__87() {

		int a = 1;
		int b = 0;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__104() {

		int a = 2;
		int b = 4;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__106() {

		int a = 2;
		int b = 3;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.SCALENE;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3__110() {

		int a = 4;
		int b = 2;
		int c = 1;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_112() {

		int a = 2;
		int b = 1;
		int c = 4;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}
	
	@Test
	public void testMujava3__114() {

		int a = 2067366427;
		int b = 88585555;
		int c = 2037875554;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);

	}

	@Test
	public void testMujava3_116() {

		int a = 788585555;
		int b = 2037366427;
		int c = 2037875554;
		int result = tr.Triangle.classify(a, b, c);
		int expected = tr.Triangle.INVALID;
		assertEquals(result, expected);
	}

}
